How to upgrade 8.1J N3DS to 9.0 (with browser!)

Discussion in '3DS - Flashcards & Custom Firmwares' started by julialy, Nov 1, 2015.

Thread Status:
Not open for further replies.
  1. julialy
    OP

    julialy Homebrewer

    Member
    1,646
    570
    Nov 26, 2012
    United States
    United States
    (Note: try this at your own risk! Brick may occur! I was able to update with these steps, however, I cannot test anymore since I could only try this one time!)
    Steps I did to upgrade: (you need 1 (n)3ds able to install cia, (sky3ds, cubic ninja, or oot), and gateway)
    1. go find 9.0.0j updates somewhere on the internet (hint: this console iso)
    2. find Dr. Mario Gyakuten! Tokkōyaku & Saikin Bokumetsu (jap) then install Dr. Mario Gyakuten! Tokkōyaku & Saikin Bokumetsu on the ciaintallable-console
    3-update: *DELETE ALL INTERNET SETTINGS ON BOTH SYSTEMS*
    3. go load dr mario's download play mode
    4. go to download play and launch dr mario, it will tell you to update, say yes
    5. play( if you want)
    6-update: *THIS SECTION IS RISKY, IF YOU DON'T WANT BROWSER, STOP HERE*
    6. now on your 8.1j n3ds now updated to 9.0, put 9.0.0j n3ds update files on your sd
    7. go launch the gateway menu using an exploitable game
    8. in gateway mode (sysnand) install sysupdater using cia installer
    9. now in sysupdater press update
    10. a title should fail to install, now in the cia installer find the title that failed to install and try installing it two times
    11. now finish updating with sysupdater
    12. restart n3ds
    13. check if browser works

    if browser works, you can now use ninjhax w/ cfw! you can now install 9.2 update normally w/ cfw!
     
    Last edited by julialy, Nov 2, 2015
    Subtle Demise likes this.


  2. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    My understanding of why this won't work is that there isn't any cart updates to 9.0-9.2 for JAP or this would probably work... Otoh if you have a gateway and CN, OOT or the right ds mode flashcart and your console is a n3ds you can get out of the situation as gateway has ROP under 8.1 MSET (system settings) so basically install the exploit and go from there, some people are REing (reverse engineering) gateway's 8.1 ROP to make it work with other CFWs and negate this issue

    EDIT: also step 8 will brick consoles

    What COULD work is install browser CIA and launch in gateway sysNAND, once the browser is launched start a CFW (like rxTools) boot into the devmode and use sysupdater from there, but the requirement of a GW is what offputs a lot of people with this method as GW is expensive and if you want a CFW the point is usually not having to buy a GW
     
    Last edited by dark_samus3, Nov 1, 2015
  3. cultopi

    cultopi GBAtemp Regular

    Member
    277
    68
    Jul 18, 2015
    United States
    I have a kinda irrelevant question. If I have my 8.1 sysNAND dumped, somehow I was able to update to 9.0/9.2, can I use gw to downgrade back to 8.1 with the dumped file?
     
  4. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    Yes

    Just press up on the dpad and select the downgrade console button it'll ask if you want to restore your NAND backup
     
    Last edited by dark_samus3, Nov 1, 2015
  5. cultopi

    cultopi GBAtemp Regular

    Member
    277
    68
    Jul 18, 2015
    United States
    I so wanna try this method because I have 8.1J, and 9.1J units and GW. Step 8 is what put me off.
     
  6. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    Rightly so, your console wouldn't boot anymore and you'd need a hardmod to restore the NAND backup
     
  7. Quantumcat

    Quantumcat Dead and alive

    Member
    10,388
    5,478
    Nov 23, 2014
    Australia
    Canberra, Australia
    OP should use a harmodded console and make a video guide so we can see whether anything bricks.
     
  8. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
  9. cultopi

    cultopi GBAtemp Regular

    Member
    277
    68
    Jul 18, 2015
    United States
    After step 7, I would actually try smashhax first, I was able to boot HBL with my 9.1J unit.
     
  10. julialy
    OP

    julialy Homebrewer

    Member
    1,646
    570
    Nov 26, 2012
    United States
    United States
    Brick only occurs because native_firm update fails... and the rest of the system is in an odd position

    However, you already have 9.0.0J installed (from download play), so you install the CDN version of 9.0.0J, that won't update the files that gateway is blocking, since you already have them installed. (no gateway loaded when it's updated)
     
    Subtle Demise likes this.
  11. Zidapi

    Zidapi GBAtemp Psycho!

    Member
    3,019
    1,802
    Dec 1, 2002
    I've reported this thread because
     
    Xenon Hacks and Quantumcat like this.
  12. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    You're banking other people's consoles on this?
     
    Zidapi likes this.
  13. julialy
    OP

    julialy Homebrewer

    Member
    1,646
    570
    Nov 26, 2012
    United States
    United States
    No, I tried this, and I got on 9.0 (w/ browser).

    However, I can't try this anymore to ensure no brick, so I'll add a warning up above.
     
  14. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    Just rework the guide a bit, have the user install a browser CIA, boot into rxTools using it and boot into devmode to use sysupdater (also have them install the sysupdater CIA too)
     
  15. cultopi

    cultopi GBAtemp Regular

    Member
    277
    68
    Jul 18, 2015
    United States
    have them try smashhax first after step 7, if it works, then it has no risk of bricking at all
     
    Last edited by cultopi, Nov 1, 2015
  16. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    Don't think this will work as even the newer hax rely on browser in part of the ROP chain (I think) couldn't hurt to try though
     
  17. tivu100

    tivu100 GBAtemp Advanced Maniac

    Member
    1,989
    431
    Jun 6, 2015
    United States
    After step 7 use Cubic Ninja to install Ninjhax 2.x then mini Pasta and install browser to get full 9.0.0J.

    This OP has variety of options and chose to do the most dangerous one! (who has SKY3DS and Cubic Ninja and 9.0.0-0J N3DS would use Gateway to update?)

    The cheapest way is like other had said is step 1-7 then smashhax (cheaper and easier at least in thoery to get than all those other stuffs).

    Nevermind: Found old Smealum post said it won't work: THE ABOVE LIKELY WON'T WORK. However, it is safe to experiment if you are desperate than trying to use Gateway to flash firmware.
     
    Last edited by tivu100, Nov 1, 2015
  18. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    Pretty sure it won't work
     
    tivu100 likes this.
  19. tivu100

    tivu100 GBAtemp Advanced Maniac

    Member
    1,989
    431
    Jun 6, 2015
    United States
    I forgot to add this part: Use another 2DS/3DS WITH 9.x firmware to install Ninjahax 2.x save firmware 9.0.0-7J on Cubic / CN on SKY3DS. Ninjhax only need browser to be installed. Ninjhax save can be run on 3DS without browser if I am not too mistaken. Heard it somewhere before.

    Nevermind: Found old Smealum post said it won't work: THE ABOVE LIKELY WON'T WORK. However, it is safe to experiment if you are desperate than trying to use Gateway to flash firmware.
     
    Last edited by tivu100, Nov 1, 2015
  20. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    I'm not 100% sure but I was looking through something and I think Yellows8 had mentioned needing a browser installed to run themehax (even the offline installer) not because you need internet but because part of the ROP chain gets permissions from the browser
     
    tivu100 likes this.
Thread Status:
Not open for further replies.